## Get backOrderPreOrderReservation

### cURL

```
curl --request GET \
  --url https://prod01.oms.fabric.inc/api/v2/backpre-order/backorderpreorder-reserve \
  --header 'Authorization: Bearer <token>'
```

### Python

```
import requests

url = "https://prod01.oms.fabric.inc/api/v2/backpre-order/backorderpreorder-reserve"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
```

### JavaScript (Fetch)

```
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://prod01.oms.fabric.inc/api/v2/backpre-order/backorderpreorder-reserve', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

### PHP

```
<?php

$curl = curl_init();

curl_setopt_array($curl, [\
  CURLOPT_URL => "https://prod01.oms.fabric.inc/api/v2/backpre-order/backorderpreorder-reserve",\
  CURLOPT_RETURNTRANSFER => true,\
  CURLOPT_ENCODING => "",\
  CURLOPT_MAXREDIRS => 10,\
  CURLOPT_TIMEOUT => 30,\
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,\
  CURLOPT_CUSTOMREQUEST => "GET",\
  CURLOPT_HTTPHEADER => [\
    "Authorization: Bearer <token>"\
  ],\
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
}
?>
```

### Go

```
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

url := "https://prod01.oms.fabric.inc/api/v2/backpre-order/backorderpreorder-reserve"

req, _ := http.NewRequest("GET", url, nil)

req.Header.Add("Authorization", "Bearer <token>")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))
}
```

### Response Codes

- **200**: Success  
- **400**: Bad Request  
- **404**: Object Not Found  
- **500**: Internal Server Error

### Response Example

Success response:
```json
{
  "orderNumber": "order_123",
  "sku": "sku_123",
  "lineItemId": "0",
  "type": "BACKORDER",
  "orderDate": "2022-04-12T09:30:31.198Z",
  "backOrderedQuantity": 5,
  "locationNum": 23,
  "channelId": "channel_12",
  "orderStatusCode": "Created",
  "id": "1",
  "itemId": "123",
  "cartId": "b03b72dc-78d8-4ea4-90fc-2fe6a1fe6569",
  "toReleaseQuantity": 0,
  "vendorId": "vendor_123",
  "consentToDelay": "true",
  "consentDate": "2022-07-12T09:30:31.198Z",
  "lastNotificationDate": "2022-06-12T09:30:31.198Z",
  "toNotify": "false",
  "lineItemStatus": "CANCELLED",
  "paymentStatus": "OK"
}
```

Error responses:
- Bad Request:  
```json
{
  "message": "Bad Request"
}
```

- Object Not Found:  
```json
{
  "message": "Object Not Found."
}
```

- Internal Server Error:  
```json
{
  "message": "Internal Server Error"
}
```

### Authorizations

**Authorization**  
Required Bearer authentication header of the form `Bearer <token>`.

### Response Structure
- **orderNumber**: string  
- **sku**: string  
- **lineItemId**: string  
- **type**: string  
- **orderDate**: string<date-time>  
- **backOrderedQuantity**: integer<int32>  
- **locationNum**: integer<int32>  
- **channelId**: string  
- **orderStatusCode**: string  
- **id**: string  
- **itemId**: string  
- **cartId**: string  
- **toReleaseQuantity**: integer<int32>  
- **vendorId**: string  
- **consentToDelay**: string  
- **consentDate**: string<date-time>  
- **lastNotificationDate**: string<date-time>  
- **toNotify**: string  
- **lineItemStatus**: string  
- **paymentStatus**: string
